summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGuilherme Amadio <amadio@gentoo.org>2020-06-02 10:46:02 +0200
committerGuilherme Amadio <amadio@gentoo.org>2020-06-02 10:48:24 +0200
commitac7528277319f1cfba67105583c3c7f1cc446ea2 (patch)
tree65a337c7d990b76e26ecded1904c2f921c937f69 /sci-physics
parentx11-themes/e-flat-theme: remove old snapshot (diff)
downloadgentoo-ac7528277319f1cfba67105583c3c7f1cc446ea2.tar.gz
gentoo-ac7528277319f1cfba67105583c3c7f1cc446ea2.tar.bz2
gentoo-ac7528277319f1cfba67105583c3c7f1cc446ea2.zip
sci-physics/geant: version bump to 10.6_p2
Package-Manager: Portage-2.3.100, Repoman-2.3.22 Signed-off-by: Guilherme Amadio <amadio@gentoo.org>
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/geant/Manifest1
-rw-r--r--sci-physics/geant/geant-4.10.6_p2.ebuild106
2 files changed, 107 insertions, 0 deletions
diff --git a/sci-physics/geant/Manifest b/sci-physics/geant/Manifest
index 2d4d47247a2..e011c6b858f 100644
--- a/sci-physics/geant/Manifest
+++ b/sci-physics/geant/Manifest
@@ -1,4 +1,5 @@
DIST geant4.10.05.p01.tar.gz 34413415 BLAKE2B d98a9308e37f166dccf8f9640a54ee74ab2b1d07275609666aec6d929b0193269a18075762cebaa154abcad5c8359a128b6629ff973cb6cdc8f54535151997a3 SHA512 ace2097251ee4cdda3511c3dd8191c97e1001f73d421797e3cd517ed41fa5adc73efcddfb2c8b6fb75231e5af8ddb4bd63a402ccb99b40ce2c140588d328b582
DIST geant4.10.06.b01.tar.gz 34511064 BLAKE2B d20bd338ea0ac47b11464b581aa0dec3725da56902dbaab233fcaad28ba6b3ce302a8d7e2c27f4532bed2db991467b4bde837675f3837f066c9e7e3d78c7acd6 SHA512 3916a0ad13891fc5a189c0be6c2e57abe29281696c9d16c0c54fd11940146586feb550a61403ab6451e6575d2ad1f4349590d9c564d7b5d7fc5ab9e9b2356ccb
DIST geant4.10.06.p01.tar.gz 34869969 BLAKE2B 0a27f34df213a0dcc2d87c6001c100269be7496519c614fa5b51cd6502d98232d09de0f3c44216c34b6788ec8a1f626d22a53cb7329027006c614a10777b6896 SHA512 d9bca66b086a309a577dcf018c0ca52f5d786b1ebe5ce9d30c29c579c342399816c34efbcb34af60871145b6713cb8151f5517c5a0aa9d24d00e4257a5c1c6c0
+DIST geant4.10.06.p02.tar.gz 34833550 BLAKE2B c1a3b51cf5fc135edd8f547e5a88c80f8f6ed991be92439e161225afa0447473b67c0ef0757011e1e3a22a370f43ad9b14c9fe9cb3d5f5f0a78a762c86e0dd80 SHA512 bcfbea05c88a6021898e361ffa0c8e28637631e65b2f9ae2d694deae36a67c6af78785569c5971d1c63a4692a3dfbfc082cf14d7af209cb9f36efff9bec9bc20
DIST geant4.10.06.tar.gz 34834510 BLAKE2B 48f50c734186e444f5ef2fd02b013565db7f404b7fbaeb3127d7dd67ede76196fd5fa4512a5482cceb7696305eb72dbe819fe43fa26ac63ded49259d804f5ccf SHA512 e03d69cb66947ddc71d20b9065fd5db384dfc8b2b8e905ddab9ebb992c642dc33f369d7eba5f2338487da5d9d28f20f3078917f222d187c65e5af1a0112ee044
diff --git a/sci-physics/geant/geant-4.10.6_p2.ebuild b/sci-physics/geant/geant-4.10.6_p2.ebuild
new file mode 100644
index 00000000000..15e0a409bff
--- /dev/null
+++ b/sci-physics/geant/geant-4.10.6_p2.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+MY_P=${PN}$(ver_cut 1-2).$(printf %02d $(ver_cut 3))
+
+case ${PV} in
+*_beta*)
+ MY_P+=.b$(printf %02d $(ver_cut 5))
+ DOCS="ReleaseNotes/Beta$(ver_cut 1-3)-*.txt"
+ ;;
+*_p*)
+ MY_P+=.p$(printf %02d $(ver_cut 5))
+ DOCS="ReleaseNotes/Patch$(ver_cut 1-3)-*.txt"
+ HTML_DOCS="ReleaseNotes/ReleaseNotes$(ver_cut 1-3).html"
+ ;;
+*)
+ HTML_DOCS="ReleaseNotes/ReleaseNotes$(ver_cut 1-3).html"
+ ;;
+esac
+
+DESCRIPTION="Toolkit for simulation of passage of particles through matter"
+HOMEPAGE="https://geant4.cern.ch/"
+SRC_URI="https://geant4-data.web.cern.ch/geant4-data/releases/${MY_P}.tar.gz"
+
+LICENSE="geant4"
+SLOT="4"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+c++11 c++14 c++17 +data dawn doc examples freetype gdml geant3 hdf5
+ inventor motif opengl qt5 raytracerx static-libs threads vrml"
+
+REQUIRED_USE="^^ ( c++11 c++14 c++17 )"
+
+RDEPEND="
+ dev-libs/expat
+ >=sci-physics/clhep-2.4.1.3:2=[threads?]
+ data? ( ~sci-physics/geant-data-4.10.6_p1 )
+ dawn? ( media-gfx/dawn )
+ doc? ( ~app-doc/geant-docs-$(ver_cut 1-3) )
+ gdml? ( dev-libs/xerces-c )
+ hdf5? ( sci-libs/hdf5[threads?] )
+ inventor? ( media-libs/SoXt )
+ motif? ( x11-libs/motif:0 )
+ opengl? ( virtual/opengl )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtwidgets:5
+ opengl? ( dev-qt/qtopengl:5 )
+ )
+ raytracerx? (
+ x11-libs/libX11
+ x11-libs/libXmu
+ )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_INSTALL_DATADIR="${EPREFIX}/usr/share/geant4"
+ -DGEANT4_BUILD_CXXSTD=$((usev c++11 || usev c++14 || usev c++17) | cut -c4-)
+ -DGEANT4_BUILD_MULTITHREADED=$(usex threads)
+ -DGEANT4_BUILD_TLS_MODEL=$(usex threads global-dynamic initial-exec)
+ -DGEANT4_INSTALL_DATA=OFF
+ -DGEANT4_INSTALL_DATADIR="${EPREFIX}/usr/share/geant4/data"
+ -DGEANT4_INSTALL_EXAMPLES=$(usex examples)
+ -DGEANT4_USE_FREETYPE=$(usex freetype)
+ -DGEANT4_USE_G3TOG4=$(usex geant3)
+ -DGEANT4_USE_GDML=$(usex gdml)
+ -DGEANT4_USE_HDF5=$(usex hdf5)
+ -DGEANT4_USE_INVENTOR=$(usex inventor)
+ -DGEANT4_USE_NETWORKDAWN=$(usex dawn)
+ -DGEANT4_USE_NETWORKVRML=$(usex vrml)
+ -DGEANT4_USE_OPENGL_X11=$(usex opengl)
+ -DGEANT4_USE_QT=$(usex qt5)
+ -DGEANT4_USE_RAYTRACER_X11=$(usex raytracerx)
+ -DGEANT4_USE_SYSTEM_CLHEP=ON
+ -DGEANT4_USE_SYSTEM_EXPAT=ON
+ -DGEANT4_USE_SYSTEM_ZLIB=ON
+ -DGEANT4_USE_WT=OFF
+ -DGEANT4_USE_XM=$(usex motif)
+ -DBUILD_STATIC_LIBS=$(usex static-libs)
+ ${EXTRA_ECONF}
+ )
+ if use inventor; then
+ mycmakeargs+=(
+ -DINVENTOR_INCLUDE_DIR="$(coin-config --includedir)"
+ -DINVENTOR_SOXT_INCLUDE_DIR="$(coin-config --includedir)"
+ )
+ fi
+ cmake-utils_src_configure
+}
+
+src_install() {
+ # adjust clhep linking flags for system clhep
+ # binmake.gmk is only useful for legacy build systems
+ sed -i -e 's/-lG4clhep/-lCLHEP/' config/binmake.gmk || die
+ cmake-utils_src_install
+ rm "${ED}"/usr/bin/*.{sh,csh} || die "failed to remove obsolete shell scripts"
+
+ einstalldocs
+}